<template>
    <div class="component-container">
        <div class="divider-card">
            <div class="divider-card-title center">{{title}}</div>
            <div class="divider-card-content">
                <slot><div class="center">暂无内容</div></slot>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    props:{
        title: {
            type: [String, Number],
            default: '未知'
        }
    }
}
</script>
<style scoped>
    .divider-card {
        position: relative;
        border: 1px solid #0070C0;
    }
    .divider-card-title {
        position: absolute;
        font-size: 18px;
        background-color: #0070C0;
        color: #FFFFFF;
        padding: 4px 16px;
        left: 16px;
        top: -20px;
    }
    .divider-card-content {
        padding: 24px 8px;
    }
</style>